Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 26-10-2010 15:42:25

bestel74
Membre
Inscription : 26-10-2010

[RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Bonjour !

Merci de venir m'aider ^^

Voila, je viens de finir l'install de debian (506) en 32bit et la commande ifconfig reste muette !

ifconfig -a me renvoie bien une interface eth0.

le driver est bien actif (lsmod) mais ifconfig up eth0 renvoie "eth0 : Erreur de repérage du nom de l'hote cible.

Debian HCL me renvoie que ma carte est supporté depuis le noyau v2.6.29 ....

uname -r = 2.6.26

Donc voila je me dis suffit de mettre la distribution à jour, la je télécharge le paquet debian-update-506 ....

Mais je fait quoi apres ? que contient de paquet ? j'ai jamais fait ça, faut dire que j'ai jamais vu une carte ethernet non reconnu tongue !

Voila help sur la marche que je devrai suivre, jamais été confronté à ça !

Dernière modification par bestel74 (29-10-2010 15:10:11)

Hors ligne

#2 26-10-2010 16:07:47

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Bonjour bestel74 et bienvenue sur df !

Bien, on va commencer par mettre de l'ordre dans tout ça.
Tu as installé une Debian lenny via un cdrom, je suppose que ce n'est pas en utilisant l'iso net install.
Donc, tu n'as pas utilisé ta carte réseau.

Je te propose de recommencer en suivant ce tuto :
http://debian-facile.org/manuel:install:img

En téléchargeant pour le 32 bits :
http://cdimage.debian.org/debian-cd/5.0 … etinst.iso

Et en passant par le netinstall via un cdrom avec cette iso que tu auras gravé.

Tchap, ça devrait le faire ! wink

Amitié, Joel

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#3 26-10-2010 16:13:06

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Hello !

C'est ce que j'étais parti pour faire, une belle netinstall ... mais depuis hier j'arrive pas à faire reconnaitre ma carte réseau, donc je me suis dit, je vais installer et la mettre à jour après ... la je suis entrain de faire une image du paquet "update" je vais voir ce que ça dit.

Donc quand je bootais sur la netinstall, ça me mettait "carte réseau non détecté" et ça me demander de choisir dans une liste ou elle n'y était pas, normal vu que ça l'avait pas détecté !


La je dois absolument passer en version supérieur à 2.6.26 en offline !

Hors ligne

#4 26-10-2010 16:39:12

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

boua, j'ai correctement utilisé apt-cdrom .... j'ai meme mis en commentaire les autre entré (internet).

apt-get update niquel, par d'erreur (il me met bien la liste des paquet /lenny/main ... lenny/contrib ...)

apt-get upgrade ne met rien à jour ....

snif ....

C'est quoi ce CD d'update en carton ?


EDIT : cette image c'est pour ugradé une 5.xx en 5.06, lol mais quel boulet je suis.

Bon ben y'a pas une image de CD qui peux me mettre les derniere mis a jours en offline ?

Dernière modification par bestel74 (26-10-2010 16:42:21)

Hors ligne

#5 26-10-2010 16:42:32

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Bien on va faire autrement, une install minimale de squeeze et une configuration à la main en suivant.
Regarde là :
http://wiki.chezlefab.net/tuto_nix/inst … debianiste

Nous sommes bien en filaire via un RJ45 ?

Amitié, jojo

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#6 26-10-2010 16:52:30

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Je suis allé sur ton lien, mais c'est quoi le but de la manoeuvre, j'te suis pas la scuse ^^ !


Sinon autre piste, si je prend le CD-1 d'une install unstable TESTING !!!!, que je le apt-cdrom et que je fait un apt-get udate ; apt-get upgrade ça devrait etre ok non ?

Bon je me retrouve avec une unstable TESTING ^^ après mais c'est jouable ...

Dis moi ce que t'en pense et explique moi un peu ton lien la, parce que le gars install Vlm et sudo et le bash completion, install des util. pour avoir un cache dns blablabla ... mais pourquoi est-ce que tu pense que ma carte ethernet sera détecté ?

Dernière modification par bestel74 (26-10-2010 16:57:04)

Hors ligne

#7 26-10-2010 17:00:27

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Le truc est de fabriquer ton installation de squeeze à la main pour gérer l'apparition d'un problème et pas d'un autre.
Voire d'installer une sid.
Au final, l'installation minimale devrait te permettre une installation d'un kernel plus novateur afin de régler le problème de la carte réseau que tu utilises.

Tchap ! big_smile

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#8 26-10-2010 17:18:32

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

ha ouai la tu me convainc, ça rejoint limite mon désire de mettre une arch linux ^^

Mais si je met un kernel novateur après je "quitte" debian non ?
Ca sera a moi de me débrouiller ?

C'est ça qui me fait peur, j'adorerai mais je vais attendre encore un peu, avoir un peu plus d'exp tongue

Hors ligne

#9 26-10-2010 17:20:58

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Non, tu ne quittes pas Debian, tu utilises une branche innovante de Debian.
Regarde là :
http://debian-facile.org/doc:systeme:ap … hes-debian

Yep ! big_smile

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#10 26-10-2010 18:12:56

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Je suis entrain de passer en testing la ! Rien n'a été prévu pour permettre au gens qui n'ont pas accès au net de maintenir leur version à jour ...

Ton truc je sens que je vais m'enliser mais à un point ...

Genre la tout de suite je peux utilisé une image linux plus récente ?

P***N : la testing m'a pas fait avoir une image linux plus récente ...

Comment je fait si je veux mettre la toute dernière image linux, ou genre l'avant dernière ?

Moi ce que je veux pas c'est de devoir mettre à jours 119 logiciel derrière ? Ca passe ou ça casse si je compile genre la 2.6.35.7 sur fond de debian 5.06 testing ?

Hors ligne

#11 26-10-2010 18:28:27

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Hop bestel74 !

testing ne peux pas être 5.06, qui est pour lenny, mais 6.x smile
As-tu suivi le tuto du captnfab pas à pas, ou bien as-tu fait autre chose ?

Pour mettre un kernel supérieur, regarde ce tuto :
http://debian-facile.org/doc:systeme:ap … age_kernel

Le lien que je t'ai proposé, chez le captnfab, est le lien qui permet une installation précise, pas à pas.
Tu n'as toujours pas indiqué si tu installais par le wifi ou le filaire ?
Allez, dis-nous... wink

Rien n'a été prévu pour permettre au gens qui n'ont pas accès au net de maintenir leur version à jour ...


Et oui, GNU/Linux Debian, c'est une communauté internationale et donc, l'usage du web y est quasi impératif pour se tenir à jour.
Il y a bien des sites de vente de ces cd, mais bon... smile

Amitié, Joel


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#12 26-10-2010 18:40:12

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

haa, j'install par clé usb la ^^
Le wifi et l'ethernet ne sont pas reconnu, kernel "trop vieux".

Me faire une install sur mesure j'en rêve, mais je crois que je suis à bout de force la ... j'ai tenté une linux from scratch et ça a totalement foiré, sur fond de je met à jour ma ubuntu 10.04 > 10.10 et ça foire méchant, mon écran est plus détecté X veux pas ce reconfigurer blablabla ...

En ce moment j'aire ne sachant que faire tongue

ubuntu : pas assez stable ; outre la mis a jours foiré
debian : kernel un peu à la traine quand meme, et passer en unstable vu que je recherche un truc super stable, ben voila quoi
opensuse : j'adore le logo mais je me perd dans les fichier de config, suis trop habitué au debian-style (étudiant en BTS IRIS sous ubuntu, peut etre migré sur debian)

Y'a pas une distribution superbement à jours et superbement stable ??!!

(Si tu réponds celle que tu te fait pas à pas je te frappe virtuellement XD)

snif ...

Hors ligne

#13 26-10-2010 18:52:51

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Je met à jours la, je vous (te) tiens au courant ... j'espère découvrir une belle distribution qui reconnait tout au prochain boot tongue


[EDIT] : ouai ben pas reconnu :

wifi
bluetooth
carte graphique

mal reconnu :

ecran : non reconnaissance de la réso native
raccourcis constructeurs


Je pense que debian c'est une superbe distrib, mais pas pour un portable, je la mettrai sur un fixe.

domage j'aime bien debian, j'y reviendrai ^^ j'suis pas rancunié 

snif ... le système prends 116Mo .... 17 processus .... un gros au revoir à contre coeur !

Un grand merci à toi en tout cas d'avoir essayé de m'aider ! J'y viendrai à mon linux from scratch t'inquiète tongue

Dernière modification par bestel74 (26-10-2010 19:24:15)

Hors ligne

#14 26-10-2010 19:15:03

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Suspenssssss....
smile

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#15 26-10-2010 19:26:58

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Edit de mon post d'au dessus ^^

T'as une distribution à conseiller la ?

Hors ligne

#16 26-10-2010 19:35:12

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

slackware ?
Il y a un site en français très actif :
http://slackware-fr.org/
et un chan sur le serveur irc.freenode.net.
#slackware-fr

Tu as aussi un site avec plusieurs distros à te proposer chez nos amis absolinux
même serveur pour le chan : #absolinux
le site :
http://www.absolinux.net/news/ip.php?ce … t_news.php

Et enfin un chan aussi avec beaucoup d'activiste linuxien : sur le même serveur freenode : ##chezlefab.net

Mais je reste étonné de tes difficultés avec debian tout de même.

Amitié, à te revoir ici pour quand tu veux ! Jojo

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#17 26-10-2010 19:43:53

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Ben ouai j'ai vu un site ou il est marqué : reconnaissance matériel debian = très bon !

Faut dire que mon PC est assez récent (sortie y'a un ans) : toshiba T110 ...

Mouep, j'avais deja eu deux trois probleme de materiel sous ubuntu avec ce pc, tu te rends compte smile !

je vais potassertes liens, pas envie de changer de distrib tout les mois tongue

Merci en tout cas, ++

Hors ligne

#18 26-10-2010 20:28:50

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Tu peux nous indiquer aussi plus précisemment le qui que quoi de ton portable, des fois ? smile

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#19 26-10-2010 20:41:00

tux12
Membre
Lieu : ./
Distrib. : Squeeze
Noyau : Linux 2.6.32-5-686-bigmem
(G)UI : KDE
Inscription : 27-02-2008

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Bonjour,

bestel74 a écrit :

T'as une distribution à conseiller la ?


Tu peux tester une intall minimale de Lenny avec un noyau 2.6.30 ou 2.6.32. Ça devrait permettre je suppose de voir au moins si ton matériel est reconnu. Regardes ici.

Sinon tu as aussi un 2.6.32 pour Lenny dans les backports.

Mon conseil: Prends un peu de temps pour appréhender la Debian. elle te le rendra. wink

@+ smile

Hors ligne

#20 26-10-2010 20:50:41

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

J'te présente : toshiba T110 c'est un notebook 12" lite
intel 743 @ 1.3Ghz
2Go DDR2/3(euh lol)
intel 4500 MHD
blabla (y'a bon = + de 5h in load d'autonomie trop bon pour les lan ; je crois + 7h in idle)

le module ethernet c'est le atl1c, enfaite il marchait très bien, comprends pas pourquoi il voulait pas en netinstall ce crétin. Peut etre qu'une de mes frappes a activé un code secret .... --> [].

wifi on en parle meme pas, jamais bien reconnu (lspci "faux"), c'était mis à marcher tout seul après un MàJ sous ubuntu : je crois bien que c'est une RT8192SE mais même pas sur ... genre tu compile le pilote linux et ça marche pas XD

voila la partie "réseau" est assez à chier sur ce portable sous linux, mais je m'accroche tongue

en bug marrant y'a :
quand tu change la luminosité, ben ça la change pas mais tu vois la petite fentre avec la barre descendre ou monter, faut rajouter une option dans grub mais c'est pas encore ça (quand tu descend au minimum tu monte plus au max).
le raccourcis pour activer/desactivé wifi/bluetooth ne fonctionne pas du tout, aucun patch/solution = je dois passer par ... WINDOWS !!!!!!!!!

Voila tu sais tout de mon portable ! Je pense que ça a pas bien marché sous debian à cause du vieux kernel ...sur du matos à probleme ça pardonne pas, mais même pas sur.

Parait qu'une nouvelle debian stable va venir d'ici quelque mois ?

Gentoo/slackware, c'est vraiment pas user friendly ou ça va ?

Hors ligne

#21 26-10-2010 21:01:24

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

tux12 a écrit :

Bonjour,

bestel74 a écrit :

T'as une distribution à conseiller la ?


Tu peux tester une intall minimale de Lenny avec un noyau 2.6.30 ou 2.6.32. Ça devrait permettre je suppose de voir au moins si ton matériel est reconnu. Regardes ici.

Sinon tu as aussi un 2.6.32 pour Lenny dans les backports.

Mon conseil: Prends un peu de temps pour appréhender la Debian. elle te le rendra. wink

@+ smile


Oui je veux m'accrocher malgré ce qui m'est arrivé tout ce week-end et jusqu'à maintenant ^^

Ha ouai ça a l'air sympa ce que tu me propose la ! c'est à dire qu'avec ma version la (debian 5.06 que j'ai passé en testing) je peux sans me prendre la tete lui indiquer de nouveau dépot et passer en version 2.6.32 ? si j'ai bien compris ça rox la XD !

Hors ligne

#22 26-10-2010 21:04:17

Asmodée
Membre
Lieu : /dev/null
Distrib. : Squeeze
Inscription : 16-05-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Ton ordinateur est effectivement récent pour une stable qui passera en oldstable dans quelques mois... Une testing, plus adaptée à ton matériel, peut très bien s'utiliser sans internet... Et il ne faut pas croire qu'une stable ne bouge pas : il faut régulièrement faire des mises à jour de sécurité (si elle est connecter à internet, sinon OSEF)

Au niveau des distribs qui bougent un peu moins (fonctionne par versions successives), j'aime beaucoup Linux Mint. Mais comme l'a dit Smolski, il en existe bien d'autres et de très bien ! smile

En ce qui concerne Ubuntu, je le trouve pas géniale pour certains matériels... Plantage réguliers de la carte wifi par exemple suite à des mises à jour...


Dis-nous ce que tu veux faire, ce que tu veux obtenir et l'utilisation que tu auras de ton PC (du type, "connecté à internet" ou "toujours dans une cave sans aucun contact avec le monde extérieur" ou "utilisation journalière"... Je veux pas savoir ce que tu comptes faire à 22h27 les premiers dimanches du mois... wink).

Si j'ai bien compris, tu veux du wifi ou de l'ethernet, mais tu ne veux pas d'une distribution que l'on met régulièrement à jour... par internet. Ça me semble bizarre, mais je ne te cache pas que je suis fatigué...

Hors ligne

#23 26-10-2010 21:06:41

Asmodée
Membre
Lieu : /dev/null
Distrib. : Squeeze
Inscription : 16-05-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Pour faire simple, si tu veux un truc plus récent qui marche, installe une testing, monte un source.list décent si l'installateur ne le fait pas pour toi et tu es lancé smile

Hors ligne

#24 26-10-2010 21:20:35

bestel74
Membre
Inscription : 26-10-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Non, t'as pu lire que je cherchai a faire des mis à jours offline juste parce que TEMPORAIREMENT j'avais pas accès à internet = matériel non reconnu !
Mais la c'est bon ça tongue enfin j'essai de faire fonctionner le wifi, en passant par les MàJ backports. Une fois fait je serait pratiquant du pinning, mais la je fait à l'arrache !

La je cherche à activer dans source.list les backports pour faire un gros apt-get update / upgrade bien gras avec un reboot de l'espoir, mais je t'avouerai que ça fait que des erreurs pour l'instant ! il me faut juste un kernel plus récent allez !

Dernière modification par bestel74 (26-10-2010 21:21:57)

Hors ligne

#25 26-10-2010 21:52:10

Asmodée
Membre
Lieu : /dev/null
Distrib. : Squeeze
Inscription : 16-05-2010

Re : [RESOLU] = ifconfig muet = besoin d'upgrade du kernel Merci :p

Ah... Si c'est juste pour ça, tous les CD de la testing sont dispo tongue

Non, vraiment, il n'y a plus aucun intérêt d'installer Lenny maintenant... Ce sera plus simple et plus efficace smile

Hors ligne

Pied de page des forums